"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const FIELD_PROP = 'fieldprop';
exports.getMetadataField = (proto, propName) => Reflect.getMetadata(FIELD_PROP, proto, propName);
exports.getMetadataForm = (proto) => Reflect.getMetadata(FIELD_PROP, proto);
class Factory {
    createDecorator(ttype) {
        const fn = (opts) => Reflect.metadata(FIELD_PROP, Object.assign(Object.assign({}, opts), { type: ttype }));
        return fn;
    }
    createRender(reconsiler, props) {
        return reconsiler(props);
    }
}
exports.Factory = Factory;
//# sourceMappingURL=meta.js.map