"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("./types");
const lodash_1 = require("lodash");
class $Proto {
    [Symbol('$PROTO')]() { }
}
exports.$Proto = $Proto;
class $ProtoForm {
    [Symbol('$PROTOFORM')]() { }
}
exports.$ProtoForm = $ProtoForm;
exports.getProtoForm = (proto) => proto.constructor;
exports.getSubProto = (proto, propName) => {
    const nextProto = proto[propName];
    if (nextProto instanceof types_1.SForm) {
        return nextProto;
    }
    return undefined;
};
function getProto(model, realPath) {
    const realFormPath = realPath.length <= 1 ? [] : realPath.slice(0, realPath.length - 1);
    if (!realFormPath.length) {
        return model;
    }
    return lodash_1.get(model, realFormPath);
}
exports.getProto = getProto;
//# sourceMappingURL=proto.js.map